"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const extension = require("../../extension.js");
const installLegendPlain = require("./installLegendPlain.js");
const ScrollableLegendModel = require("./ScrollableLegendModel.js");
const ScrollableLegendView = require("./ScrollableLegendView.js");
const scrollableLegendAction = require("./scrollableLegendAction.js");
function install(registers) {
  extension.use(installLegendPlain.install);
  registers.registerComponentModel(ScrollableLegendModel.default);
  registers.registerComponentView(ScrollableLegendView.default);
  scrollableLegendAction.default(registers);
}
exports.install = install;
